<?
include_once('phone.php');

if (!empty($_POST['func'])) {
  $data = array();
  if ($_POST['func'] == 'incoming') {
    $data['incoming'] = get_incoming();
  } elseif ($_POST['func'] == 'callinfo') {
    $data = callinfo($_POST['dir'],$_POST['call']);
  }
  header('Content-type: application/json; charset=UTF-8');
  echo json_encode($data);
  exit;
} elseif (!empty($_GET['dir']) && !empty($_GET['call'])) {
  send_call($_GET['dir'], $_GET['call']);
  exit;
}

?>
<html>
<head>
<title>Infodrom Phone Answering Machine</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="phone.css" rel="stylesheet" type="text/css">
</head>
<script type="text/javascript" src="lib/json_parse.js"></script>
<script type="text/javascript" src="lib/basics.js"></script>
<script type="text/javascript" src="phone.js"></script>
<script type="text/javascript" src="lib/debug_joey.js"></script>

<body onload="page_init()">
<div style="margin-top: -5px">
</div>

<div>
<div class="phonelist" id="incoming">
<p class="title">Incoming Calls</p>
<ul class="phonelist" id="incoming_calls">
<li>Loading data...</li>
</ul>
</div>

<div class="phonelist" id="archive">
<p class="title">Archived Calls</p>
<ul class="phonelist" id="archive_calls">
<li>Loading data...</li>
</ul>
</div>

</div>

<div class="phonecall">
<p class="title">Play message</p>
<p id="callspeaker">&nbsp;</p>
<iframe class="phonecall" id="phonecall"></iframe>
<p id="calldate">&nbsp;</p>
<p id="callnote"></p>
</div>

</body>
</html>
